Bug 10710 - uucico aborts leaving socket in CLOSE_WAIT state
uucico aborts leaving socket in CLOSE_WAIT state
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: uucp (Show other bugs)
6.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-10 17:39 EDT by Wenbin Yu
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-18 09:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wenbin Yu 2000-04-10 17:39:08 EDT
Incoming uucp connections via TCP/IP cause uucico to abort with a kernel
oops. The actual uucp transaction completes successfully, but uucico aborts
when closing the socket; the socket is left in a CLOSE_WAIT state.
Gradually these hung sockets accumulate until a reboot is necessary.

----------------------------------------------------------------
Kernel oops output:
----------------------------------------------------------------

Apr 10 16:03:14 gdmssrv00 kernel: Unable to handle kernel paging request at
virtual address 0000000000000000
Apr 10 16:03:14 gdmssrv00 kernel: uucico(14208): Oops 0
Apr 10 16:03:14 gdmssrv00 kernel: pc = [__copy_user+256/468]  ra =
[inet_ioctl+916/960]  ps = 0000
Apr 10 16:03:14 gdmssrv00 kernel: v0 = 0000000000000028  t0 =
0000000000000000  t1 = 0000000000000028
Apr 10 16:03:14 gdmssrv00 kernel: t2 = 0000000000000000  t3 =
0000000000000028  t4 = 0000000000000000
Apr 10 16:03:14 gdmssrv00 kernel: t5 = fffffc00062dbe98  t6 =
0000000000000000  t7 = fffffc00062d8000
Apr 10 16:03:14 gdmssrv00 kernel: s0 = 0000000000000000  s1 =
0000000000005422  s2 = 0000000000000000
Apr 10 16:03:14 gdmssrv00 kernel: s3 = 0000000000000028  s4 =
0000000000000028  s5 = 0000000000000001
Apr 10 16:03:14 gdmssrv00 kernel: s6 = 0000000000000000  a0 =
0000000000005422  a1 = 0000000000000000
Apr 10 16:03:14 gdmssrv00 kernel: a2 = 0000000000000000  a3 =
0000000000000000  a4 = 000000012014e71b
Apr 10 16:03:14 gdmssrv00 kernel: a5 = 000000000000003b  t8 =
fffffc00062dc000  t9 = 0000020000307568
Apr 10 16:03:14 gdmssrv00 kernel: t10= 0000000000000008  t11=
0000000000002000  pv = fffffc00004a7ae0
Apr 10 16:03:14 gdmssrv00 kernel: at = fffffc00003a0d68  gp =
fffffc000058b650  sp = fffffc00062dbe68
Apr 10 16:03:14 gdmssrv00 kernel: Code:
Apr 10 16:03:14 gdmssrv00 kernel:  f41ffff5  bge v0,.-40
Apr 10 16:03:14 gdmssrv00 kernel:  c3e00013  br .+80
Apr 10 16:03:14 gdmssrv00 kernel:  e480000a  blt t3,.+44
Apr 10 16:03:14 gdmssrv00 kernel:  2fe00000  ldq_u zero,0(v0)
Apr 10 16:03:14 gdmssrv00 kernel:  47ff041f  or zero,zero,zero
Apr 10 16:03:14 gdmssrv00 kernel:  2fe00000  ldq_u zero,0(v0)
Apr 10 16:03:14 gdmssrv00 kernel: *a4270000  ldq t0,0(t6)
Apr 10 16:03:14 gdmssrv00 kernel:  40811524  subq t3,8,t3
Apr 10 16:03:14 gdmssrv00 kernel: Trace: 3d27b4 3d2790 399708 358440
310cf8

---------------------------------------------------------------------
Netstat output showing sockets hung in CLOSE_WAIT
---------------------------------------------------------------------

Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address           Foreign Address
State
tcp        1      0 gdmssrv00.vancpowe:uucp gdmssup01.vancpowe:7518
CLOSE_WAIT
tcp        1      0 gdmssrv00.vancpowe:uucp gdmssup01.vancpowe:7278
CLOSE_WAIT
tcp        1      0 gdmssrv00.vancpowe:uucp gdmssup01.vancpowe:7259
CLOSE_WAIT
tcp        1      0 gdmssrv00.vancpowe:uucp gdmssup01.vancpowe:7202
CLOSE_WAIT
tcp        1   0 gdmssrv00.vancpowe:uucp gdmssup01.vancpowe:6825
CLOSE_WAIT
tcp        0      0 gdmssrv00.vancpowe:uucp gdmssrv03.vancpow:21273
CLOSE_WAIT
tcp        1      0 gdmssrv00.vancpowe:uucp gdmssup01.vancpowe:6723
CLOSE_WAIT
tcp        1      0 gdmssrv00.vancpowe:uucp gdmssup01.vancpowe:6383
CLOSE_WAIT
tcp        1      0 gdmssrv00.vancpowe:uucp gdmssup01.vancpowe:6379
CLOSE_WAIT
tcp        1      0 gdmssrv00.vancpowe:uucp gdmssup01.vancpowe:6269
CLOSE_WAIT

etc . ... for many hundreds of sockets!

Please let me know if you need additional information. Thanks!
Comment 1 Anonymous 2000-04-18 09:49:59 EDT
A viable workaround is to run uucico directly as a server (instead of
via /etc/inetd.conf and tcpd):

/usr/sbin/uucico -l -p TCP

Details on this setup are in the uucp docs.
Comment 2 Jeff Johnson 2001-01-06 06:59:47 EST
This problem appears to be resolved. Please reopen if not.

Note You need to log in before you can comment on or make changes to this bug.